aboutsummaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorJosep Puigdemont <josep.puigdemont@enea.com>2016-05-06 23:28:21 +0200
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2016-05-08 17:31:57 +0000
commitbf9b024d1e6b782d0958487a497d60bf18dee51e (patch)
treeb7b3c3221437ca744db92f7b9e7a28ba38568db6 /ci/deploy.sh
parentbedeb36ac9ad42fb1ead2449ed8e75f0171808a2 (diff)
deploy.sh: simple wrapper for fuel@opnfv deploy script
Change-Id: I2b94d6fcb20c59d9d776c04561665108e1f035ca Signed-off-by: Josep Puigdemont <josep.puigdemont@enea.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
new file mode 100755
index 0000000..5f258c8
--- /dev/null
+++ b/ci/deploy.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# (c) 2016 Enea Software AB
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+set -e
+
+cd $WORKSPACE
+make submodules-init
+make patches-import
+
+# source local environment variables
+if ! [ -z $LAB_CONFIG_URL ]; then
+ local_env=${LAB_CONFIG_URL}/labs/${TARGET_LAB}/${TARGET_POD}/fuel/config/local_env
+ # try to fetch this file, but don't create it if it does not exist.
+ # We add "|| true" to ignore the curl error when the file does not exist
+ echo "curl -s -f -O $local_env || true"
+ curl -s -f -O $local_env || true
+ local_env=$(basename $local_env)
+ if [ -e $local_env ]; then
+ echo "-- Sourcing local environment file"
+ source $local_env
+ fi
+fi
+
+cd upstream/fuel/ci
+./deploy.sh $@